## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# ansible-core is built for alternative Python stacks in RHEL which do not have
# the necessary test deps packaged.
Name:		ansible-collection-awx-awx
Version:	24.3.1
Release:	%autorelease
Summary:	Ansible modules and plugins for working with AWX

License:	GPL-3.0-or-later AND BSD-2-Clause
URL:		%{ansible_collection_url awx awx}
Source0:	https://github.com/ansible/awx/archive/%{version}/awx-%{version}.tar.gz
Patch0:		build_ignore-unnecessary-files.patch

BuildArch:	noarch

BuildRequires:	ansible-packaging

%description
ansible-collection-awx-awx provides the Awx.Awx Ansible
collection. The collection includes Ansible modules and plugins for working
with AWX.

%prep
%autosetup -n awx-%{version} -p1
find -type f ! -executable -name '*.py' -print -exec sed -i -e '1{\@^#!.*@d}' '{}' +

%build
ansible-playbook -i localhost, awx_collection/tools/template_galaxy.yml \
	  -e collection_package=awx \
	  -e collection_namespace=awx \
	  -e collection_version=%{version} \
	  -e '{"awx_template_version": false}'
cd awx_collection_build/
%ansible_collection_build

%install
cd awx_collection_build/
%ansible_collection_install

%files -f %{ansible_collection_filelist}
%license awx_collection_build/COPYING
%doc awx_collection_build/README.md

%changelog
## START: Generated by rpmautospec
* Mon May 13 2024 Andrew Heath <anheath@anheath-thinkpadt14sgen2i.rmtusnc.csb> - 24.3.1-1
- Update to 24.3.1

* Wed Apr 17 2024 Andrew Heath <anheath@anheath-thinkpadt14sgen2i.rmtusnc.csb> - 24.2.0-1
- Update to 24.2.0

* Tue Apr 02 2024 Andrew Heath <anheath@anheath-thinkpadt14sgen2i.rmtusnc.csb> - 24.1.0-1
- Update to 24.1.0

* Wed Mar 13 2024 Andrew Heath <anheath@anheath-thinkpadt14sgen2i.rmtusnc.csb> - 24.0.0-1
- Update to 24.0.0

* Wed Feb 28 2024 Andrew Heath <anheath@anheath-thinkpadt14sgen2i.rmtusnc.csb> - 23.9.0-1
- Update to 23.9.0

* Wed Feb 21 2024 Andrew Heath <anheath@anheath-thinkpadt14sgen2i.rmtusnc.csb> - 23.8.1-1
- Update to 2.8.1

* Wed Feb 07 2024 Andrew Heath <anheath@anheath-thinkpadt14sgen2i.rmtusnc.csb> - 23.7.0-1
- Update to 23.7.0

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 23.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 23.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 11 2024 Andrew Heath <anheath@redhat.com> - 23.6.0-1
- Update to 23.6.0

* Tue Dec 19 2023 Andrew Heath <anheath@redhat.com> - 23.5.1-1
- Update to 23.5.1 and clean up spec file

* Thu Nov 16 2023 Andrew H <aheath1992@gmail.com> - 23.4.0-1
- Update to 23.4.0

* Fri Oct 13 2023 Andrew H <aheath1992@gmail.com> - 23.3.0-1
- Update to 23.3.0

* Tue Oct 03 2023 Andrew H <aheath1992@gmail.com> - 23.2.0-1
- Update to 23.2.0.

* Fri Sep 15 2023 Andrew H <aheath1992@gmail.com> - 23.1.0-1
- Update to 23.1.0.

* Tue Aug 29 2023 Andrew H <aheath1992@gmail.com> - 23.0.0-1
- Update to 23.0.0.

* Wed Aug 23 2023 Andrew H <aheath1992@gmail.com> - 22.7.0-1
- Update to 22.7.0.

* Fri Jul 28 2023 Andrew H <aheath1992@gmail.com> - 22.6.0-1
- Initial Package

## END: Generated by rpmautospec
